## org.hibernate.envers.tools.graph
Interface GraphDefiner<V,R>

All Known Implementing Classes:
  PersistentClassGraphDefiner

    public interface GraphDefiner<V,R>

Defines a graph, where each vertex has a representation, which identifies uniquely a value. Representations are comparable, values - not.

Method Summary
`List<V>` `getNeighbours(V v)`
`R` `getRepresentation(V v)`
`V` `getValue(R r)`
`List<V>` `getValues()`

Method Detail

### getRepresentation

    R getRepresentation(V v)

### getValue

    V getValue(R r)

### getNeighbours

    List<V> getNeighbours(V v)

### getValues

    List<V> getValues()

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.